mercurial-tagversion(1)

NAME

mercurial-tagversion - Tag the Mercurial package source with the most recent version from the changelog.

SYNOPSIS

mercurial-tagversion [option] ...

DESCRIPTION

Extract the most recent version from debian/changelog and tag the Mercurial repository with that version.

OPTIONS

--version, -V

    Output version and exit.

--verbose, -v

    Increase verbosity level. Can be used several times.

--ignore-uncommited, -i

    Do not check for uncommited changes in the Mercurial repository.

--force, -f

    Overwrite existing tag, if any.

AUTHOR

Jens Peter Secher <jpsecher@gmail.com>

THANKS

The ideas for this package originates from John Goerzen's hg-buildpackage.

SEE ALSO

mercurial-importorig(1), mercurial-importdsc(1), mercurial-pristinetar(1), mercurial-buildpackage(1), mercurial-port(1).